> ## Documentation Index
> Fetch the complete documentation index at: https://docs.contentignite.com/llms.txt
> Use this file to discover all available pages before exploring further.

# /report/insight/revenue

> Returns top level revenue totals and time series data



## OpenAPI

````yaml /openapi.json get /v1/report/insight/revenue
openapi: 3.0.1
info:
  title: CI Public API
  description: >-
    # Introduction

    Welcome to the Content Ignite API. A central place for all Content Ignite
    functionality. 


    This API enforces a separation between function and form, meaning anything
    you can do in our platforms can be replicated in your own bespoke solution.


    # Authentication

    Authentication is handled via JWTs. You can retrieve your unique JSON Web
    Token from the settings page in the platform, which needs to be passed in
    with every request.

    To do this, simple include it in an Authorization header with the "Bearer"
    key word.


    Please contact support for help getting started.


    # Error Codes

    This is a fully RESTful API, so prepare for a number of different HTTP
    status codes.


    There is also a standard "success" field returned for each request. This
    boolean value can provide a first check against a response.


    # Rate limit

    We reserve the right to block requests if we deem a client to be abusing the
    API.
  version: 1.0.0
servers:
  - url: https://api.tagdeliver.com
    description: Production
security:
  - BearerAuth: []
tags:
  - name: Reporting
  - name: Reporting/Revenue Reports
  - name: Reporting/Experiment Reporting
  - name: Reporting/Campaign Reports
  - name: Reporting/Health Check
  - name: Reporting/Ads.txt
  - name: Reporting/Utility
  - name: Reporting/Insights Hub
  - name: Reporting/Insights Hub/SSP Insights
  - name: Reporting/Insights Hub/Core Web Vitals
  - name: Reporting/Insights Hub/Ads.txt Insights
  - name: Reporting/Insights Hub/Live Insights
  - name: Reporting/Insights Hub/Metrics
  - name: Reporting/Insights Hub/Diagnostics
  - name: Reporting/Insights Hub/Revenue Insights
  - name: Reporting/Insights Hub/Revenue Analytics
  - name: Reporting/Insights Hub/Demand Mix
  - name: Reporting/Insights Hub/Benchmarking
  - name: Organisation
  - name: Organisation/Organisation Meta
  - name: Organisation/Pricing
  - name: Ad Stack
  - name: Ad Stack/Integration
  - name: Publisher
  - name: Publisher/Publisher Stack
  - name: Publisher/Publisher Tag
  - name: Publisher/Publisher Meta
  - name: Publisher/Experiment
  - name: Publisher/Config (Ad unit)
  - name: Publisher/App Placement
  - name: Billing
  - name: Billing/Invoice
  - name: '[IN PROGRESS] Integration'
  - name: '[TODO] User'
  - name: '[TODO] User/Account'
  - name: public
paths:
  /v1/report/insight/revenue:
    get:
      tags:
        - Reporting/Insights Hub/Revenue Insights
        - public
      summary: /report/insight/revenue
      description: Returns top level revenue totals and time series data
      parameters:
        - name: uid
          in: query
          description: Publisher ID
          required: false
          schema:
            type: integer
        - name: range
          in: query
          description: Date range. All ranges exclude today and run up to yesterday
          required: false
          schema:
            type: string
            enum:
              - custom
              - all_time
              - seven_days
              - fourteen_days
              - thirty_days
              - three_months
              - six_months
              - week_to_date
              - month_to_date
              - quarter_to_date
              - year_to_date
              - last_week
              - last_month
              - last_quarter
              - last_year
              - month_on_month
              - quarter_on_quarter
              - yesterday
        - name: start
          in: query
          description: Start date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: end
          in: query
          description: End date when range=custom
          required: false
          schema:
            type: string
            format: date
        - name: date_group
          in: query
          description: Date grouping when range=custom
          required: false
          schema:
            type: string
            enum:
              - day
              - month
              - year
            default: day
        - name: rev_source
          in: query
          description: Revenue source, SaaS or Plug&Play (pap)
          required: false
          schema:
            type: string
            enum:
              - all
              - pap
              - saas
            default: all
        - name: environment
          in: query
          description: Environment or platform to report from
          required: false
          schema:
            type: string
            enum:
              - all
              - app
              - web
            default: all
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  results:
                    type: object
                    properties:
                      currency:
                        type: string
                      totals:
                        type: object
                        properties:
                          gross_revenue:
                            type: number
                          pap_gross_revenue:
                            type: number
                          saas_gross_revenue:
                            type: number
                          net_revenue:
                            type: number
                          pap_net_revenue:
                            type: number
                          saas_net_revenue:
                            type: number
                          impressions:
                            type: integer
                          pap_impressions:
                            type: integer
                          saas_impressions:
                            type: integer
                        required:
                          - gross_revenue
                          - pap_gross_revenue
                          - saas_gross_revenue
                          - net_revenue
                          - pap_net_revenue
                          - saas_net_revenue
                          - impressions
                          - pap_impressions
                          - saas_impressions
                      dates:
                        type: array
                        items:
                          type: string
                      dates_data:
                        type: object
                        properties:
                          gross_revenue:
                            type: array
                            items:
                              type: number
                          pap_gross_revenue:
                            type: array
                            items:
                              type: number
                          saas_gross_revenue:
                            type: array
                            items:
                              type: number
                          net_revenue:
                            type: array
                            items:
                              type: number
                          pap_net_revenue:
                            type: array
                            items:
                              type: number
                          saas_net_revenue:
                            type: array
                            items:
                              type: number
                          impressions:
                            type: array
                            items:
                              type: integer
                          pap_impressions:
                            type: array
                            items:
                              type: integer
                          saas_impressions:
                            type: array
                            items:
                              type: integer
                        required:
                          - gross_revenue
                          - pap_gross_revenue
                          - saas_gross_revenue
                          - net_revenue
                          - pap_net_revenue
                          - saas_net_revenue
                          - impressions
                          - pap_impressions
                          - saas_impressions
                      data:
                        type: array
                        items:
                          type: object
                          properties:
                            date:
                              type: string
                            gross_revenue:
                              type: number
                            pap_gross_revenue:
                              type: number
                            saas_gross_revenue:
                              type: number
                            net_revenue:
                              type: number
                            pap_net_revenue:
                              type: number
                            saas_net_revenue:
                              type: number
                            impressions:
                              type: integer
                            pap_impressions:
                              type: integer
                            saas_impressions:
                              type: integer
                            viewable_impressions:
                              type: integer
                            pap_viewable_impressions:
                              type: integer
                            saas_viewable_impressions:
                              type: integer
                            ad_unit_loads:
                              type: integer
                            pap_ad_unit_loads:
                              type: integer
                            saas_ad_unit_loads:
                              type: integer
                            ad_requests:
                              type: integer
                            pap_ad_requests:
                              type: integer
                            saas_ad_requests:
                              type: integer
                            ad_responses:
                              type: integer
                            pap_ad_responses:
                              type: integer
                            saas_ad_responses:
                              type: integer
                    required:
                      - currency
                      - totals
                      - dates
                      - dates_data
                      - data
                  success:
                    type: boolean
                required:
                  - results
                  - success
              example:
                results:
                  currency: GBP
                  totals:
                    gross_revenue: 25792.122269478
                    pap_gross_revenue: 16536.954222478
                    saas_gross_revenue: 9255.168047
                    net_revenue: 22455.557166026
                    pap_net_revenue: 13287.572489026
                    saas_net_revenue: 9167.984676999997
                    impressions: 26438534
                    pap_impressions: 21876817
                    saas_impressions: 4561717
                  dates:
                    - '2025-11-23'
                  dates_data:
                    gross_revenue:
                      - 25792.122269478
                    pap_gross_revenue:
                      - 16536.954222478
                    saas_gross_revenue:
                      - 9255.168047
                    net_revenue:
                      - 22455.557166026
                    pap_net_revenue:
                      - 13287.572489026
                    saas_net_revenue:
                      - 9167.984676999997
                    impressions:
                      - 26438534
                    pap_impressions:
                      - 21876817
                    saas_impressions:
                      - 4561717
                  data:
                    - date: '2025-11-23'
                      gross_revenue: 25792.122269478
                      pap_gross_revenue: 16536.954222478
                      saas_gross_revenue: 9255.168047
                      net_revenue: 22455.557166026
                      pap_net_revenue: 13287.572489026
                      saas_net_revenue: 9167.984676999997
                      impressions: 26438534
                      pap_impressions: 21876817
                      saas_impressions: 4561717
                      viewable_impressions: 21191732
                      pap_viewable_impressions: 18057235
                      saas_viewable_impressions: 3134497
                      ad_unit_loads: 37518998
                      pap_ad_unit_loads: 32632769
                      saas_ad_unit_loads: 4886229
                      ad_requests: 41698518
                      pap_ad_requests: 39735018
                      saas_ad_requests: 1963500
                      ad_responses: 27790415
                      pap_ad_responses: 26183982
                      saas_ad_responses: 1606433
                success: true
          headers: {}
      deprecated: false
      security:
        - BearerAuth: []
components:
  securitySchemes:
    BearerAuth:
      type: http
      scheme: bearer

````